---
title: "Contributing"
date: 2020-05-01T08:33:08-07:00
weight: 100
---

# subs/docs

Hosted at [https://git-aws.internal.justin.tv/pages/subs/docs/](https://git-aws.internal.justin.tv/pages/subs/docs/)
as a Github page, the site is generated by [Hugo](https://github.com/gohugoio/hugo), a fast static site generator.

You can update the site through this repository. Hugo is not required to make changes, but if you want to run a local 
copy of the site you can download hugo for yourself [here](https://gohugo.io/getting-started/installing/), or just run
`brew install hugo`.

## Contributing

Push your changes up to the master branch and wait about 10 seconds for the site to be updated. The [Jenkins job](https://jenkins.internal.justin.tv/job/subs/job/docs/job/master/) 
will automatically build and publish your changes to the docs site.


### Updating Site Content

To make changes to site content: update or create new markdown files in the `/content` folder. If you have hugo installed locally, you can create a new file with the following command, which will additionally populate the title and date.

```sh
hugo new my-article.md
```

### Local dev server

To see your changes on your local machine, run:

```sh
hugo server
```

And open [http://localhost:1313/pages/subs/docs/](http://localhost:1313/pages/subs/docs/)

Any changes will automatically reflect on the local dev site upon save.


### Editing an Existing Document directly on Github
You can edit any article by clicking the "Edit on Github" button on the top right corner and it will take you to the associated .md file.
 

{{% notice note %}}
To get a nicely formatted info box like this one, use a [notice shortcode](https://learn.netlify.app/en/shortcodes/notice/).
{{% /notice %}}